%define upstream_name	 Audio-MPD
%define upstream_version 2.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Class for talking to MPD (Music Player Daemon) servers 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Audio::MPD::Common::Item)
BuildRequires: perl(Audio::MPD::Common::Output)
BuildRequires: perl(Audio::MPD::Common::Stats)
BuildRequires: perl(Audio::MPD::Common::Status)
BuildRequires: perl(DB_File)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Euclid)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(Proc::Daemon)
BuildRequires: perl(Test::Corpus::Audio::MPD) >= 1.113.282
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Audio::MPD gives a clear object-oriented interface for talking to and
controlling MPD (Music Player Daemon) servers. A connection to the MPD server
is established as soon as a new Audio::MPD object is created. Commands are then
send to the server as the class's methods are called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_bindir}/*
%{perl_vendorlib}/Audio
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.4.0-5.mga9
+ Revision: 1808323
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.4.0-4.mga8
+ Revision: 1503471
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.4.0-3.mga7
+ Revision: 1281803
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.4.0-2.mga7
+ Revision: 1163140
- rebuild with fixed rpm for missing autodeps

* Sat Jun 04 2016 jquelin <jquelin> 2.4.0-1.mga7
+ Revision: 1020222
- update to 2.004

* Sun May 08 2016 shlomif <shlomif> 2.2.0-1.mga6
+ Revision: 1010571
- update to 2.002
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 jquelin <jquelin> 2.0.0-4.mga6
+ Revision: 900839
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 746130
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 683561
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 sander85 <sander85> 2.0.0-1.mga5
+ Revision: 635631
- update to 2.000

* Fri Jun 06 2014 jquelin <jquelin> 1.120.610-11.mga5
+ Revision: 633929
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1.120.610-10.mga5
+ Revision: 606078
- perl 5.18.2 rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.120.610-9.mga4
+ Revision: 545114
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 jquelin <jquelin> 1.120.610-8.mga4
+ Revision: 500772
- perl 5.18.1 rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.120.610-7.mga4
+ Revision: 434467
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 1.120.610-6.mga3
+ Revision: 403808
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.610-5.mga3
+ Revision: 363232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.120.610-4.mga3
+ Revision: 314913
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.120.610-3.mga3
+ Revision: 283532
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 1.120.610-2.mga3
+ Revision: 254194
- fix shebang with new perl 5.16 path

* Mon Mar 05 2012 jquelin <jquelin> 1.120.610-1.mga2
+ Revision: 218651
- update to 1.120610

* Sat Nov 26 2011 kharec <kharec> 1.113.280-1.mga2
+ Revision: 172108
- update to 1.113280

* Fri Oct 14 2011 jquelin <jquelin> 1.112.670-3.mga2
+ Revision: 155124
- perl 5.14.2 rebuild

* Fri Sep 30 2011 takashi <takashi> 1.112.670-2.mga2
+ Revision: 150480
- update to 1.112670

* Sun Jun 19 2011 jquelin <jquelin> 1.111.200-2.mga2
+ Revision: 109882
- rebuild script for perl 5.14.1

* Wed Jun 15 2011 jquelin <jquelin> 1.111.200-1.mga2
+ Revision: 106471
- update to 1.111200

* Mon Jun 13 2011 jquelin <jquelin> 1.110.560-2.mga2
+ Revision: 105825
- perl 5.14 rebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.110.560-1.mga1
+ Revision: 60784
- update to 1.110560

* Mon Feb 21 2011 jquelin <jquelin> 1.102.260-3.mga1
+ Revision: 55396
- rebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.102.260-2.mga1
+ Revision: 40238
- mageia rebuild
- imported package perl-Audio-MPD


* Sun Sep 19 2010 Jérôme Quelin <jquelin@mandriva.org> 1.102.260-2mdv2011.0
+ Revision: 579841
- rebuild

* Mon Aug 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.102.260-1mdv2011.0
+ Revision: 570316
- update to 1.102260

* Fri Aug 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.430-2mdv2011.0
+ Revision: 566866
- rebuild

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.430-1mdv2011.0
+ Revision: 505264
- update to 1.100430
- adding missing buildrequires

* Sat Nov 14 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.170-1mdv2010.1
+ Revision: 466006
- adding missing buildrequires:
- update to 1.093170

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.950-1mdv2010.1
+ Revision: 461253
- adding missing buildrequires:
- adding missing buildrequires:
- update to 1.092950

* Thu Oct 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.19.7-1mdv2010.0
+ Revision: 451996
- update to v0.19.7

* Wed Sep 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.19.6-2mdv2010.0
+ Revision: 435533
- rebuild using %%perl_convert_version

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.6-1mdv2009.1
+ Revision: 340535
- update to new version 0.19.6

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.5-1mdv2009.1
+ Revision: 325505
- update to new version 0.19.5

* Sun Aug 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.4-1mdv2009.0
+ Revision: 272878
- update to new version 0.19.4

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.3-1mdv2009.0
+ Revision: 271752
- update to new version 0.19.3

* Wed Jun 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.2-1mdv2009.0
+ Revision: 224895
- update to new version 0.19.2

* Fri Jan 18 2008 Jérôme Quelin <jquelin@mandriva.org> 0.19.1-2mdv2008.1
+ Revision: 154597
- force rebuild for 5.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.1-1mdv2008.1
+ Revision: 114705
- update to new version 0.19.1

* Fri Nov 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.0-1mdv2008.1
+ Revision: 114012
- update to new version 0.19.0

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.3-1mdv2008.1
+ Revision: 113405
- update to new version 0.18.3

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.2-1mdv2008.1
+ Revision: 109470
- update to new version 0.18.2

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.1-1mdv2008.0
+ Revision: 46869
+ rebuild (emptylog)

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.2-1mdv2008.0
+ Revision: 17454
- new version


* Mon Mar 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13.5-1mdv2007.1
+ Revision: 141686
- new version

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13.3-1mdv2007.1
+ Revision: 134286
- fix build dependencies
- new version

* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.4-1mdv2007.1
+ Revision: 120852
- new version

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.3-1mdv2007.1
+ Revision: 93653
- Import perl-Audio-MPD

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.3-1mdv2007.1
- first mdv release

